unit FMain;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs,
  System.Inifiles,
  System.ImageList, FMX.ImgList, FMX.Menus, FMX.StdCtrls, FMX.Layouts,
  FMX.ListBox, FMX.TabControl, FMX.Edit, FMX.Objects, FMX.Controls.Presentation,
  FChild

  ;

type
  TF_Main = class(TForm)
    StatusBar1: TStatusBar;
    Panel1: TPanel;
    Label1: TLabel;
    Panel2: TPanel;
    Label2: TLabel;
    Panel3: TPanel;
    Label3: TLabel;
    Panel4: TPanel;
    Label4: TLabel;
    Panel5: TPanel;
    Label5: TLabel;
    ToolBar1: TToolBar;
    bnPaste: TSpeedButton;
    lbPaste: TLabel;
    bnCopy: TSpeedButton;
    lbCopy: TLabel;
    SpeedButton2: TSpeedButton;
    lbPrint: TLabel;
    Image3: TImage;
    bnOpen: TSpeedButton;
    lbOpen: TLabel;
    Image1: TImage;
    bnSave: TSpeedButton;
    lbSave: TLabel;
    Image2: TImage;
    cbWordWrap: TCheckBox;
    bnNew: TSpeedButton;
    LbNew: TLabel;
    iNew: TImage;
    bnCut: TSpeedButton;
    lbCut: TLabel;
    Image4: TImage;
    Image5: TImage;
    SpeedButton3: TSpeedButton;
    lbUndo: TLabel;
    Image6: TImage;
    Image7: TImage;
    MainMenu1: TMainMenu;
    mTEditor: TMenuItem;
    mInfo: TMenuItem;
    MenuItem9: TMenuItem;
    mMACExit: TMenuItem;
    mFile: TMenuItem;
    mNew: TMenuItem;
    MenuItem1: TMenuItem;
    mOpen: TMenuItem;
    mOpenAnsi: TMenuItem;
    mOpenASCII: TMenuItem;
    mOpenDirect: TMenuItem;
    MenuItem2: TMenuItem;
    mSave: TMenuItem;
    mSaveAsAnsi: TMenuItem;
    mSaveAsUnicode: TMenuItem;
    MenuItem3: TMenuItem;
    mPrint: TMenuItem;
    mCloseFile: TMenuItem;
    mnu_CloseAll: TMenuItem;
    mExit: TMenuItem;
    mEdit: TMenuItem;
    mCut: TMenuItem;
    mCopy: TMenuItem;
    mPaste: TMenuItem;
    MenuItem4: TMenuItem;
    mSelectAll: TMenuItem;
    mSelectLine: TMenuItem;
    MenuItem11: TMenuItem;
    MenuItem16: TMenuItem;
    MenuItem17: TMenuItem;
    mGotoLine: TMenuItem;
    mnu_Undo: TMenuItem;
    MenuItem18: TMenuItem;
    mChars: TMenuItem;
    mFontPlus: TMenuItem;
    mFontMinus: TMenuItem;
    MenuItem10: TMenuItem;
    mText: TMenuItem;
    mDeleteBlankLines: TMenuItem;
    MenuItem6: TMenuItem;
    mUppercase: TMenuItem;
    mLowercase: TMenuItem;
    MenuItem8: TMenuItem;
    mSortAtoZ: TMenuItem;
    mSortZtoA: TMenuItem;
    mHelp: TMenuItem;
    mContent: TMenuItem;
    MenuItem7: TMenuItem;
    mVertrag: TMenuItem;
    mLiesmich: TMenuItem;
    MenuItem12: TMenuItem;
    mTrenn: TMenuItem;
    mnu_About: TMenuItem;
    od1: TOpenDialog;
    sd1: TSaveDialog;
    Panel6: TPanel;
    bnTools: TSpeedButton;
    edfind: TEdit;
    ClearEditButton1: TClearEditButton;
    SearchEditButton1: TSearchEditButton;
    bnFindNext: TSpeedButton;
    cbGreat: TCheckBox;
    SpeedButton1: TSpeedButton;
    cbReplace: TCheckBox;
    edReplace: TEdit;
    ClearEditButton2: TClearEditButton;
    bnReplace: TSpeedButton;
    bnReplaceAll: TSpeedButton;
    TabControl2: TTabControl;
    TabItem1: TTabItem;
    lbLastFiles: TListBox;
    Splitter1: TSplitter;
    Timer1: TTimer;
    popLastFiles: TPopupMenu;
    MenuItem13: TMenuItem;
    MenuItem5: TMenuItem;
    mRemove: TMenuItem;
    MenuItem15: TMenuItem;
    mDeleteList: TMenuItem;
    MenuItem14: TMenuItem;
    mDeleteFile: TMenuItem;
    Panel8: TPanel;
    lbFiledir: TLabel;
    StyleBook1: TStyleBook;
    TabControl1: TTabControl;
    ImageList1: TImageList;
    procedure FormCreate(Sender: TObject);
    procedure bnNewClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  F_Main: TF_Main;

implementation

{$R *.fmx}

procedure TF_Main.bnNewClick(Sender: TObject);
var
  L: Integer;
begin
  with TF_Child.create (self) do begin
    for L := 1 to 200 do begin
      mTxt.Lines.Add( L.tostring +  ' Click in the text and then move only the mouse up or down');
    end;
  end;
end;

procedure TF_Main.FormCreate(Sender: TObject);
var
  ini: TInifile;
begin
 {$IF DEFINED (LINUX) (*or DEFINED(MACOS)*)}
  bnTools.TextSettings.FontColor := TAlphaColorRec.white;
  bnFindNext.TextSettings.FontColor := TAlphaColorRec.white;
  lbLastFiles.ShowHint := false;
  lbOpen.TextSettings.FontColor := TAlphaColorRec.white;
  lbNew.TextSettings.FontColor := TAlphaColorRec.white;
  lbSave.TextSettings.FontColor := TAlphaColorRec.White;
  lbPrint.TextSettings.FontColor := TAlphaColorRec.White;
  lbcopy.TextSettings.FontColor := TAlphaColorRec.White;
  lbpaste.TextSettings.FontColor := TAlphaColorRec.White;
  lbcut.TextSettings.FontColor := TAlphaColorRec.White;
  lbundo.TextSettings.FontColor := TAlphaColorRec.White;
  cbWordWrap.TextSettings.FontColor := TAlphaColorRec.White;
  {$ENDIF}

  caption := 'Editor-Demo'; //ProgNameVersion;

  ini := TInifile.Create(ChangeFileExt (ExtractFileName (Paramstr(0)), '.cfg'));
  //EditorFontSize := ini.ReadInteger('Optionen', 'EditorFontSize', 12);
  TabControl2.Width := ini.ReadInteger('Optionen', 'FilePanelWidth', Round (TabControl2.Width));
  Splitter1.Position.X := TabControl2.Width+1;
  ini.Free;
end;

end.
